import request from '@/utils/request'

// 查询小区管理列表
export function listestate(query) {
  return request({
    url: '/estate/list',
    method: 'get',
    params: query
  })
}

// 查询小区管理详细
export function getestate(estateId) {
  return request({
    url: '/estate/' + estateId,
    method: 'get'
  })
}

// 新增小区管理
export function addestate(data) {
  return request({
    url: '/estate',
    method: 'post',
    data: data
  })
}

// 修改小区管理
export function updateestate(data) {
  return request({
    url: '/estate',
    method: 'put',
    data: data
  })
}

// 删除小区管理
export function delestate(estateId) {
  return request({
    url: '/estate/' + estateId,
    method: 'delete'
  })
}
